Subject: Re: [PATCH] TCPCT-1: adding a sysctl

From: William Allen Simpson <[email-masked]>
Date: Fri, 02 Oct 2009 18:00:07 -0400

William Allen Simpson wrote:
> William Allen Simpson wrote:
>> This is a straightforward re-implementation of an earlier patch, that no
>> longer applies cleanly, that was reviewed:
>>
>>   http://thread.gmane.org/gmane.linux.network/102586
>>
> In that thread, David Miller wrote:
> 
>   "This looks mostly fine to me.  I would even advocate not using a config
>   option for this."
> 
> It would make the code look cleaner, and with the sysctl instead, it
> would probably be fine.  But SYN cookies has both.
> 
> Before I go much further, I'd like guidance.
> 
Based on Andi's expressed desire for more complete code before reviewing, and
the general utility of using a sysctl instead, I'll remove the config #ifdefs.
Sorry, I was overly cautious....